
%define oname kactivities-stats


%define kf5activities_major 5
%define libkf5activities-stats %mklibname kf5activities-stats %{kf5activities_major}
%define kf5activities_devel_stats %mklibname kf5activities-stats -d

Summary:        KDE Frameworks 5 Tier 3 library to organize the user work in separate activity
Name:           kactivities5-stats
Version: 		5.51.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{oname}-%{version}.tar.xz
URL:            https://www.kde.org/
#general buildrequires
#------------------------------------------------------
BuildRequires: libqt5base5-devel
BuildRequires: libqt5core-devel
BuildRequires: libqt5dbus-devel
BuildRequires: libqt5gui-devel
BuildRequires: libqt5help-devel
BuildRequires: libqt5imageformats-devel
BuildRequires: libqt5network-devel
BuildRequires: libqt5qml-devel
BuildRequires: libqt5quick-devel
BuildRequires: libqt5bluetooth-devel

BuildRequires: libqt5clucene-devel
BuildRequires: libqt5concurrent-devel
BuildRequires: libqt5designer-devel

BuildRequires: libqt5labstemplates-devel
BuildRequires: libqt5location-devel
BuildRequires: libqt5multimedia-devel
BuildRequires: libqt5multimediawidgets-devel
BuildRequires: libqt5nfc-devel
BuildRequires: libqt5opengl-devel
BuildRequires: libqt5platformsupport-devel
BuildRequires: libqt5positioning-devel
BuildRequires: libqt5printsupport-devel
BuildRequires: libqt5quickparticles-devel
BuildRequires: libqt5quicktest-devel
BuildRequires: libqt5quickwidgets-devel
BuildRequires: libqt5script-devel
BuildRequires: libqt5scripttools-devel
BuildRequires: libqt5sensors-devel
BuildRequires: libqt5serialport-devel
BuildRequires: libqt5sql-devel
BuildRequires: libqt5svg-devel
BuildRequires: libqt5test-devel
BuildRequires: libqt5waylandclient-devel
BuildRequires: libqt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires: libkconfig-devel >= 5.20.0
BuildRequires: libkcoreaddons-devel >= 5.20.0
BuildRequires: libkio-devel >= 5.20.0
BuildRequires: libkf5windowsystem-devel >= 5.20.0


%description
A KDE Frameworks 5 Tier 3 API for using and interacting with Activities as a
consumer, application adding information to them or as an activity manager.

%files 
%_kf5_libdir/libKF5ActivitiesStats.so.1
#--------------------------------------------------------------------
%_kf5_libdir/libKF5ActivitiesStats.so.%{kf5activities_major}*
#--------------------------------------------------------------------

%package -n %kf5activities_devel_stats

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %name = %version
Provides:       %name-devel = %{version}
Provides:		devel(libKF5ActivitiesStats(64bit))

%description -n %kf5activities_devel_stats
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5activities_devel_stats

%_kf5_includedir
%_kf5_libdir/cmake
%_kf5_libdir/libKF5ActivitiesStats.so
%_libdir/pkgconfig/libKActivitiesStats.pc
%_qt5_prefix/mkspecs/modules/qt_KActivitiesStats.pri

#--------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%changelog
* Thu Dec 27 2018 adrianomorselli <adrianomorselli> 5.51.0-1uplos2019
- update
